Cancel shipment
curl --request POST \
--url https://staging.api.commercengine.io/api/v1/{store_id}/admin/shipping/shipments/{reference_number}/cancel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action": "cancel",
"reason": "<string>"
}
'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/admin/shipping/shipments/{reference_number}/cancel"
payload = {
"action": "cancel",
"reason": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({action: 'cancel', reason: '<string>'})
};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/admin/shipping/shipments/{reference_number}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"success": true
}Shipping
Cancel shipment
Cancels a shipment. Use the cancel payload to mark the shipment as unscheduled so it can be re-shipped via another carrier or a manual method. Use the cancel-and-refund payload to cancel and simultaneously initiate a refund to the original payment instrument or a customer bank account.
POST
/
shipping
/
shipments
/
{reference_number}
/
cancel
Cancel shipment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Shipment reference number
Body
application/json
- CancelShipment
- CancelAndRefundShipment
Cancel payload used when no refund is required. The shipment is marked as unscheduled and can be rescheduled with another carrier or fulfilled manually.
Was this page helpful?
⌘I